## packagekit-qt 0.8.8

=== CMakeLists.txt ===
# CMakeLists for PackageKit-Qt
project(packagekit-qt)

cmake_minimum_required(VERSION 2.8.6 FATAL_ERROR)
find_package(PkgConfig REQUIRED)

set(CMAKE_BUILD_TYPE "Debug")

set(QPACKAGEKIT_VERSION_MAJOR  "0")
set(QPACKAGEKIT_VERSION_MINOR  "8")
set(QPACKAGEKIT_VERSION_PATCH  "8")
set(QPACKAGEKIT_VERSION_SUFFIX "${VERSION_SUFFIX}")
set(QPACKAGEKIT_VERSION "${QPACKAGEKIT_VERSION_MAJOR}.${QPACKAGEKIT_VERSION_MINOR}.${QPACKAGEKIT_VERSION_PATCH}")

set(QPACKAGEKIT_API_LEVEL "6")

# Forbid in-tree building
if(${CMAKE_SOURCE_DIR} MATCHES ${CMAKE_BINARY_DIR})
      message(STATUS "Please do an out-of-tree build:")
      message(STATUS "rm -f CMakeCache.txt && mkdir build && cd build; cmake .. && make")
      message(FATAL_ERROR "In-tree-build detected!")
endif(${CMAKE_SOURCE_DIR} MATCHES ${CMAKE_BINARY_DIR})

#
# Options
#

# NONE

if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
  set(CMAKE_INSTALL_PREFIX
    "/usr" CACHE PATH "QPK default install prefix" FORCE)
endif(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)

#
# Configure files
#
set (PREFIXDIR "${CMAKE_INSTALL_PREFIX}")
set (DATADIR "${CMAKE_INSTALL_PREFIX}/share")
set (PKGDATADIR "${DATA_INSTALL_DIR}")
set (LIBDIR "${CMAKE_INSTALL_PREFIX}/${LIB_INSTALL_DIR}")
set (PKGLIBDIR "${LIBDIR}/packagekit")
set (GETTEXT_PACKAGE "packagekit")
set (LOCALE_DIR "${DATADIR}/locale")
set (VERSION "${QPACKAGEKIT_VERSION}")
set (BUILDDIR "${CMAKE_BINARY_DIR}")
set (LOCALSTATEDIR "/var")

add_definitions("-DLOCALSTATEDIR=\"${LOCALSTATEDIR}\"")

set(CMAKE_INSTALL_LIBDIR "lib/${CMAKE_LIBRARY_ARCHITECTURE}" CACHE PATH "Output directory for libraries")

configure_file(config.h.in ${CMAKE_BINARY_DIR}/config.h)

#
# Custom C flags
#
set (MAINTAINER_CFLAGS "-Werror -Wall -Wcast-align -Wno-uninitialized -Wempty-body -Wformat-security -Winit-self")
option (DISABLE_MAINTAINER_CFLAGS "Disable maintainer CFlags" ON)
if (DISABLE_MAINTAINER_CFLAGS)
	set (MAINTAINER_CFLAGS "")
endif (DISABLE_MAINTAINER_CFLAGS)
add_definitions(${MAINTAINER_CFLAGS})

add_subdirectory(src)

=== src/CMakeLists.txt ===
# CMakeLists for PackageKit-Qt library

find_package(Qt4 REQUIRED)

# Set up Qt4
set(QT_USE_QTDBUS TRUE)
set(QT_USE_QTSQL TRUE)
set(QT_DONT_USE_QTGUI TRUE)
include(${QT_USE_FILE})

include_directories(${CMAKE_BINARY_DIR}
		    ${CMAKE_CURRENT_BINARY_DIR}
		    ${CMAKE_CURRENT_SOURCE_DIR}
)

set(packagekitqt_HEADERS
    Daemon
    Transaction
    common.h
    daemon.h
    transaction.h
    bitfield.h
)

set(packagekitqt_HEADERS_PRIVATE
                daemonprivate.h
		transactionprivate.h
)

set(packagekitqt_SRC
		bitfield.cpp
		daemon.cpp
                daemonprivate.cpp
		transaction.cpp
		transactionprivate.cpp
)

find_file(PK_INTERFACE_XML org.freedesktop.PackageKit.xml
	PATHS ${CMAKE_INSTALL_PREFIX}/share/dbus-1/interfaces/
)
find_file(PK_TRANSACTION_INTERFACE_XML org.freedesktop.PackageKit.Transaction.xml
	PATHS ${CMAKE_INSTALL_PREFIX}/share/dbus-1/interfaces/
)
if (PK_INTERFACE_XML STREQUAL "PK_INTERFACE_XML-NOTFOUND" OR PK_TRANSACTION_INTERFACE_XML STREQUAL "PK_TRANSACTION_INTERFACE_XML-NOTFOUND")
	message (FATAL_ERROR "Unable to find PackageKit DBus specifications! Please install PackageKit to continue!")
endif ()

set_source_files_properties(${PK_INTERFACE_XML} PROPERTIES CLASSNAME DaemonProxy)
qt4_add_dbus_interface(packagekitqt_SRC ${PK_INTERFACE_XML} daemonproxy)

set_source_files_properties(${PK_TRANSACTION_INTERFACE_XML} PROPERTIES CLASSNAME TransactionProxy)
qt4_add_dbus_interface(packagekitqt_SRC ${PK_TRANSACTION_INTERFACE_XML} transactionproxy)

qt4_automoc(${packagekitqt_SRC})
qt4_wrap_cpp(packagekitqt_MOC_SRC ${packagekitqt_HEADERS} ${packagekitqt_HEADERS_PRIVATE})

add_library(packagekit-qt2 SHARED ${packagekitqt_SRC} ${packagekitqt_HEADERS} ${packagekitqt_HEADERS_PRIVATE})
set_target_properties(packagekit-qt2 PROPERTIES VERSION ${QPACKAGEKIT_VERSION} SOVERSION ${QPACKAGEKIT_API_LEVEL})

target_link_libraries(packagekit-qt2
		${QT_LIBRARIES}
)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/packagekit-qt2.pc.in
  ${CMAKE_CURRENT_BINARY_DIR}/packagekit-qt2.pc
  @ONLY
)

install(TARGETS packagekit-qt2 DESTINATION ${CMAKE_INSTALL_LIBDIR})
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/packagekit-qt2.pc
	DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig
)
install(FILES ${packagekitqt_HEADERS}
	DESTINATION include/PackageKit/packagekit-qt2
)

add_subdirectory(modules)

=== src/modules/CMakeLists.txt ===
# CMakeLists for PackageKit-Qt lib extra modules

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/packagekit-qt2-config.cmake.in
  ${CMAKE_CURRENT_BINARY_DIR}/packagekit-qt2-config.cmake
  @ONLY
)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/packagekit-qt2-config-version.cmake.in
  ${CMAKE_CURRENT_BINARY_DIR}/packagekit-qt2-config-version.cmake
  @ONLY
)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/packagekit-qt2-config.cmake
	${CMAKE_CURRENT_BINARY_DIR}/packagekit-qt2-config-version.cmake
	DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/packagekit-qt2/
)

=== debian/changelog ===
packagekit-qt (0.8.8-2ubuntu1) saucy; urgency=low

  * Merge from Debian unstable (LP: #1217699). Remaining changes:
    + Add alternative recommendation of python3-aptdaemon.pkcompat

 -- Sebastian Heinlein <glatzor@ubuntu.com>  Wed, 28 Aug 2013 07:14:56 +0200

packagekit-qt (0.8.8-2) unstable; urgency=low

  * Upload to unstable

 -- Matthias Klumpp <mak@debian.org>  Sun, 23 Jun 2013 22:42:21 +0200

packagekit-qt (0.8.8-1) experimental; urgency=low

  * New upstream release: 0.8.8
  * Do not depend on system-interface virtual package
  * Adjust packaging to SONAME bump

 -- Matthias Klumpp <mak@debian.org>  Tue, 04 Jun 2013 14:50:38 +0200

packagekit-qt (0.8.7-2) experimental; urgency=low

  * New upstream release: 0.8.7

 -- Matthias Klumpp <mak@debian.org>  Tue, 19 Mar 2013 20:34:27 +0100

packagekit-qt (0.8.6-1) unstable; urgency=low

  * Initial release (Closes: #468132)

 -- Matthias Klumpp <matthias@tenstral.net>  Sun, 02 Dec 2012 22:17:35 +0100

=== debian/control ===
Source: packagekit-qt
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Matthias Klumpp <mak@debian.org>
Build-Depends: cmake (>= 2.8),
               debhelper (>= 9),
               libqt4-dev (>= 4.8),
               packagekit (>= 0.8.8),
               pkg-config (>= 0.26)
Standards-Version: 3.9.4
Homepage: http://www.packagekit.org
Vcs-Git: git://anonscm.debian.org/pkg-packagekit/packagekit-qt.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-packagekit/packagekit-qt.git

Package: libpackagekit-qt2-6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: python3-aptdaemon.pkcompat (>= 1.1.1) | packagekit (>= 0.8.8)
Description: Library for accessing PackageKit using Qt4
 PackageKit allows performing simple software management tasks over a DBus
 interface e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package provides a library to access PackageKit using Qt.

Package: libpackagekit-qt2-dev
Section: libdevel
Architecture: any
Depends: libpackagekit-qt2-6 (= ${binary:Version}),
         libqt4-dev,
         ${misc:Depends}
Description: Library for accessing PackageKit using Qt4 (development files)
 PackageKit allows performing simple software management tasks over a DBus
 interface e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package provides the header files for PackageKit-Qt.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel

override_dh_install:
	dh_install --list-missing

=== debian/watch ===
version=3
http://www.packagekit.org/releases/PackageKit-Qt-([\d\.]+)\.tar\.xz

## packagekit-qt 0.9.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,13 +6,14 @@
 
 set(CMAKE_BUILD_TYPE "Debug")
 
+# Used to set installation paths
+include(GNUInstallDirs)
+
 set(QPACKAGEKIT_VERSION_MAJOR  "0")
-set(QPACKAGEKIT_VERSION_MINOR  "8")
-set(QPACKAGEKIT_VERSION_PATCH  "8")
+set(QPACKAGEKIT_VERSION_MINOR  "9")
+set(QPACKAGEKIT_VERSION_PATCH  "5")
 set(QPACKAGEKIT_VERSION_SUFFIX "${VERSION_SUFFIX}")
 set(QPACKAGEKIT_VERSION "${QPACKAGEKIT_VERSION_MAJOR}.${QPACKAGEKIT_VERSION_MINOR}.${QPACKAGEKIT_VERSION_PATCH}")
-
-set(QPACKAGEKIT_API_LEVEL "6")
 
 # Forbid in-tree building
 if(${CMAKE_SOURCE_DIR} MATCHES ${CMAKE_BINARY_DIR})
@@ -24,8 +25,18 @@
 #
 # Options
 #
+option(USE_QT5 "Build against Qt5 instead of Qt4." OFF)
+if(USE_QT5)
+  set(QPACKAGEKIT_API_LEVEL "0")
+  set(LIBNAME "packagekitqt5")
+  set(QT_VERSION "5")
+else()
+  set(QPACKAGEKIT_API_LEVEL "0")
+  set(LIBNAME "packagekitqt4")
+  set(QT_VERSION "4")
+endif(USE_QT5)
 
-# NONE
+set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
 
 if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
   set(CMAKE_INSTALL_PREFIX
@@ -35,20 +46,13 @@
 #
 # Configure files
 #
-set (PREFIXDIR "${CMAKE_INSTALL_PREFIX}")
-set (DATADIR "${CMAKE_INSTALL_PREFIX}/share")
-set (PKGDATADIR "${DATA_INSTALL_DIR}")
-set (LIBDIR "${CMAKE_INSTALL_PREFIX}/${LIB_INSTALL_DIR}")
-set (PKGLIBDIR "${LIBDIR}/packagekit")
 set (GETTEXT_PACKAGE "packagekit")
-set (LOCALE_DIR "${DATADIR}/locale")
 set (VERSION "${QPACKAGEKIT_VERSION}")
-set (BUILDDIR "${CMAKE_BINARY_DIR}")
 set (LOCALSTATEDIR "/var")
+set (CMAKECONFIG_INSTALL_DIR "${CMAKE_INSTALL_LIBDIR}/cmake/${LIBNAME}/")
 
 add_definitions("-DLOCALSTATEDIR=\"${LOCALSTATEDIR}\"")
-
-set(CMAKE_INSTALL_LIBDIR "lib/${CMAKE_LIBRARY_ARCHITECTURE}" CACHE PATH "Output directory for libraries")
+add_definitions("-std=gnu++11")
 
 configure_file(config.h.in ${CMAKE_BINARY_DIR}/config.h)
 
@@ -63,3 +67,9 @@
 add_definitions(${MAINTAINER_CFLAGS})
 
 add_subdirectory(src)
+
+install(EXPORT PackageKitQtTargets
+        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
+        FILE PackageKitQtTargets.cmake
+        NAMESPACE PK::
+        COMPONENT Devel)

=== src/CMakeLists.txt ===
# CMakeLists for PackageKit-Qt library

if (USE_QT5)
  find_package(Qt5Core REQUIRED)
  set(Qt5_FOUND YES)
else ()
  find_package(Qt4 REQUIRED)
  set(Qt4_FOUND YES)
endif ()

# Set up Qt
if (Qt5_FOUND)
  find_package(Qt5DBus REQUIRED)
  include_directories(${Qt5Core_INCLUDE_DIRS}
                      ${Qt5DBus_INCLUDE_DIRS}
  )
  add_definitions(${Qt5DBus_DEFINITIONS})
elseif (Qt4_FOUND)
  set(QT_USE_QTDBUS TRUE)
  set(QT_DONT_USE_QTGUI TRUE)
  include(${QT_USE_FILE})
endif ()

include_directories(${CMAKE_BINARY_DIR}
		    ${CMAKE_CURRENT_BINARY_DIR}
		    ${CMAKE_CURRENT_SOURCE_DIR}
)

set(packagekitqt_HEADERS
    Daemon
    Transaction
    common.h
    daemon.h
    transaction.h
    Details
    details.h
    bitfield.h
)

set(packagekitqt_HEADERS_PRIVATE
                daemonprivate.h
		transactionprivate.h
)

set(packagekitqt_SRC
    bitfield.cpp
    daemon.cpp
    daemonprivate.cpp
    transaction.cpp
    transactionprivate.cpp
    details.cpp
)

find_path(PK_INTERFACES_DIR org.freedesktop.PackageKit.xml
	HINTS ${CMAKE_INSTALL_PREFIX} /usr
	PATH_SUFFIXES share/dbus-1/interfaces/
)
set(PK_INTERFACE_XML "${PK_INTERFACES_DIR}/org.freedesktop.PackageKit.xml")
set(PK_TRANSACTION_INTERFACE_XML "${PK_INTERFACES_DIR}/org.freedesktop.PackageKit.Transaction.xml")

if (NOT PK_INTERFACE_XML OR NOT PK_TRANSACTION_INTERFACE_XML)
	message (FATAL_ERROR "Unable to find PackageKit DBus specifications! Please install PackageKit to continue!")
endif ()

set_source_files_properties(${PK_INTERFACE_XML} PROPERTIES NO_NAMESPACE true)
set_source_files_properties(${PK_TRANSACTION_INTERFACE_XML} PROPERTIES NO_NAMESPACE true)

if (Qt5_FOUND)
  qt5_add_dbus_interface(packagekitqt_SRC ${PK_INTERFACE_XML} daemonproxy)
  qt5_add_dbus_interface(packagekitqt_SRC ${PK_TRANSACTION_INTERFACE_XML} transactionproxy)
  qt5_generate_moc(daemon.h daemon.moc)
  qt5_generate_moc(transaction.h transaction.moc)
  add_custom_target(mocs DEPENDS daemon.moc transaction.moc)
elseif (Qt4_FOUND)
  qt4_add_dbus_interface(packagekitqt_SRC ${PK_INTERFACE_XML} daemonproxy)
  qt4_add_dbus_interface(packagekitqt_SRC ${PK_TRANSACTION_INTERFACE_XML} transactionproxy)
  qt4_automoc(${packagekitqt_SRC})
  qt4_wrap_cpp(packagekitqt_MOC_SRC ${packagekitqt_HEADERS} ${packagekitqt_HEADERS_PRIVATE})
endif ()

add_library(${LIBNAME} SHARED ${packagekitqt_SRC} ${packagekitqt_HEADERS} ${packagekitqt_HEADERS_PRIVATE})
set_target_properties(${LIBNAME} PROPERTIES VERSION ${QPACKAGEKIT_VERSION} SOVERSION ${QPACKAGEKIT_API_LEVEL})

if (Qt5_FOUND)
  add_dependencies(${LIBNAME} mocs)
  target_link_libraries(${LIBNAME}
		LINK_PUBLIC Qt5::DBus
  )
elseif (Qt4_FOUND)
  target_link_libraries(${LIBNAME}
		${QT_LIBRARIES}
  )
endif ()

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/${LIBNAME}.pc.in
  ${CMAKE_CURRENT_BINARY_DIR}/${LIBNAME}.pc
  @ONLY
)
target_include_directories(${LIBNAME} INTERFACE "$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}/${LIBNAME}/PackageKit/;${CMAKE_INSTALL_INCLUDEDIR}/${LIBNAME}>")
install(TARGETS ${LIBNAME} EXPORT PackageKitQtTargets DESTINATION ${CMAKE_INSTALL_LIBDIR})
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${LIBNAME}.pc
	DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig
)
install(FILES ${packagekitqt_HEADERS}
        DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/${LIBNAME}/PackageKit/
)

add_subdirectory(modules)

=== src/modules/CMakeLists.txt ===
# CMakeLists for PackageKit-Qt lib extra modules

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/packagekit-qt-config.cmake.in
  ${CMAKE_CURRENT_BINARY_DIR}/${LIBNAME}-config.cmake
  @ONLY
)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/packagekit-qt-config-version.cmake.in
  ${CMAKE_CURRENT_BINARY_DIR}/${LIBNAME}-config-version.cmake
  @ONLY
)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${LIBNAME}-config.cmake
        ${CMAKE_CURRENT_BINARY_DIR}/${LIBNAME}-config-version.cmake
        DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/${LIBNAME}/
)

=== debian/changelog ===
packagekit-qt (0.9.5-2ubuntu2) xenial; urgency=high

  * No change rebuild for s390x.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 08 Jan 2016 15:10:14 +0000

packagekit-qt (0.9.5-2ubuntu1) wily; urgency=low

  * Merge from Debian experimental.  Remaining changes:
    - debian/control:
      + Bump Build-Depends on packagekit (>= 0.9.0).
      + Add alternative recommendation of python3-aptdaemon.pkcompat.

 -- Artur Rona <ari-tczew@ubuntu.com>  Tue, 15 Sep 2015 00:10:49 +0200

packagekit-qt (0.9.5-2) experimental; urgency=medium

  * Build the Qt5 library instead of the Qt4 lib

 -- Matthias Klumpp <mak@debian.org>  Sun, 24 May 2015 17:40:08 +0200

packagekit-qt (0.9.5-1) unstable; urgency=medium

  * New upstream release: 0.9.5 (Closes: #763236)
  * Update debian/watch file

 -- Matthias Klumpp <mak@debian.org>  Fri, 10 Oct 2014 17:20:56 +0200

packagekit-qt (0.9.5-0ubuntu1) wily; urgency=medium

  * New upstream release
  * Build package for Qt 5

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 11 Sep 2015 16:50:05 +0100

packagekit-qt (0.9.2-4) unstable; urgency=medium

  * Include upstream patches to fix broken cmake modules

 -- Matthias Klumpp <mak@debian.org>  Mon, 08 Sep 2014 23:48:04 +0200

packagekit-qt (0.9.2-3) unstable; urgency=medium

  * Add patch to make the QPK API match the PK API

 -- Matthias Klumpp <mak@debian.org>  Mon, 08 Sep 2014 21:36:52 +0200

packagekit-qt (0.9.2-2) unstable; urgency=medium

  * Upload to unstable

 -- Matthias Klumpp <mak@debian.org>  Mon, 08 Sep 2014 18:48:26 +0200

packagekit-qt (0.9.2-1) experimental; urgency=medium

  * New upstream release: 0.9.2
  * Bump standards version

 -- Matthias Klumpp <mak@debian.org>  Tue, 22 Jul 2014 16:14:32 +0200

=== debian/control ===
Source: packagekit-qt
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Matthias Klumpp <mak@debian.org>
Build-Depends: cmake (>= 2.8),
               debhelper (>= 9),
               qtbase5-dev (>= 5.4),
               packagekit (>= 0.9.0),
               pkg-config (>= 0.26)
Standards-Version: 3.9.6
Homepage: http://www.packagekit.org
Vcs-Git: git://anonscm.debian.org/pkg-packagekit/packagekit-qt.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-packagekit/packagekit-qt.git

Package: libpackagekitqt5-0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: python3-aptdaemon.pkcompat (>= 1.1.1) | packagekit (>= 0.9.0)
Description: Library for accessing PackageKit using Qt5
 PackageKit allows performing simple software management tasks over a DBus
 interface e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package provides a library to access PackageKit using Qt.

Package: libpackagekitqt5-dev
Section: libdevel
Architecture: any
Depends: libpackagekitqt5-0 (= ${binary:Version}),
         qtbase5-dev,
         ${misc:Depends}
Description: Library for accessing PackageKit using Qt5 (development files)
 PackageKit allows performing simple software management tasks over a DBus
 interface e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package provides the header files for PackageKit-Qt.

=== debian/rules ===
#!/usr/bin/make -f

QPK_CONFIGURE_ARGS = -DUSE_QT5=ON

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- $(QPK_CONFIGURE_ARGS)

override_dh_install:
	dh_install --list-missing

=== debian/watch ===
version=3
http://www.freedesktop.org/software/PackageKit/releases/PackageKit-Qt-([\d\.]+)\.tar\.xz

## packagekit-qt 0.9.6

=== CMakeLists.txt ===
# CMakeLists for PackageKit-Qt
project(packagekit-qt)

cmake_minimum_required(VERSION 2.8.6 FATAL_ERROR)
find_package(PkgConfig REQUIRED)

# Used to set installation paths
set(CMAKE_AUTOMOC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(BUILD_SHARED_LIBS ON)
set(CMAKE_INSTALL_RPATH_USE_LINK_PATH ON)
include(GNUInstallDirs)

set(QPACKAGEKIT_VERSION_MAJOR  "0")
set(QPACKAGEKIT_VERSION_MINOR  "9")
set(QPACKAGEKIT_VERSION_PATCH  "6")
set(QPACKAGEKIT_VERSION_SUFFIX "${VERSION_SUFFIX}")
set(QPACKAGEKIT_API_LEVEL "0")
set(QPACKAGEKIT_VERSION "${QPACKAGEKIT_VERSION_MAJOR}.${QPACKAGEKIT_VERSION_MINOR}.${QPACKAGEKIT_VERSION_PATCH}")

add_definitions(-DQT_NO_CAST_TO_ASCII
                -DQT_NO_CAST_FROM_ASCII
                -DQT_NO_URL_CAST_FROM_STRING
                -DQT_NO_CAST_FROM_BYTEARRAY
                -DQT_NO_SIGNALS_SLOTS_KEYWORDS
                -DQT_USE_FAST_OPERATOR_PLUS
                -DQT_USE_QSTRINGBUILDER
               )

# Forbid in-tree building
if(${CMAKE_SOURCE_DIR} MATCHES ${CMAKE_BINARY_DIR})
      message(STATUS "Please do an out-of-tree build:")
      message(STATUS "rm -f CMakeCache.txt && mkdir build && cd build; cmake .. && make")
      message(FATAL_ERROR "In-tree-build detected!")
endif()

if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
  set(CMAKE_INSTALL_PREFIX
    "/usr" CACHE PATH "QPK default install prefix" FORCE)
endif()

set(CMAKE_CXX_VISIBILITY_PRESET hidden)
set(CMAKE_VISIBILITY_INLINES_HIDDEN 1)

#
# Configure files
#
set (GETTEXT_PACKAGE "packagekit")
set (VERSION "${QPACKAGEKIT_VERSION}")
set (LOCALSTATEDIR "/var")
set (CMAKECONFIG_INSTALL_DIR "${CMAKE_INSTALL_LIBDIR}/cmake/packagekitqt5/")

add_definitions("-DLOCALSTATEDIR=\"${LOCALSTATEDIR}\"")
add_definitions("-std=gnu++11")

configure_file(config.h.in ${CMAKE_BINARY_DIR}/config.h)

#
# Custom C flags
#
option (DISABLE_MAINTAINER_CFLAGS "Disable maintainer CFlags" ON)
if (NOT DISABLE_MAINTAINER_CFLAGS)
    set (MAINTAINER_CFLAGS "-Werror -Wall -Wcast-align -Wno-uninitialized -Wempty-body -Wformat-security -Winit-self")
    add_definitions(${MAINTAINER_CFLAGS})
endif ()

add_subdirectory(src)

install(EXPORT PackageKitQtTargets
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        FILE PackageKitQtTargets.cmake
        NAMESPACE PK::
        COMPONENT Devel)

=== src/CMakeLists.txt ===
# CMakeLists for PackageKit-Qt library

find_package(Qt5 5.6 REQUIRED COMPONENTS Core DBus)

set(packagekitqt_HEADERS
    Daemon
    Transaction
    common.h
    daemon.h
    transaction.h
    Details
    details.h
    bitfield.h
    packagekitqt_global.h
)

set(packagekitqt_SRC
    bitfield.cpp
    daemon.cpp
    daemonprivate.cpp
    transaction.cpp
    transactionprivate.cpp
    details.cpp
)

find_path(PK_INTERFACES_DIR org.freedesktop.PackageKit.xml
	HINTS ${CMAKE_INSTALL_PREFIX} /usr
	PATH_SUFFIXES share/dbus-1/interfaces/
)
set(PK_INTERFACE_XML "${PK_INTERFACES_DIR}/org.freedesktop.PackageKit.xml")
set(PK_TRANSACTION_INTERFACE_XML "${PK_INTERFACES_DIR}/org.freedesktop.PackageKit.Transaction.xml")

if (NOT PK_INTERFACE_XML OR NOT PK_TRANSACTION_INTERFACE_XML)
	message (FATAL_ERROR "Unable to find PackageKit DBus specifications! Please install PackageKit to continue!")
endif ()

set_source_files_properties(${PK_INTERFACE_XML} PROPERTIES NO_NAMESPACE true)
set_source_files_properties(${PK_TRANSACTION_INTERFACE_XML} PROPERTIES NO_NAMESPACE true)

qt5_add_dbus_interface(packagekitqt_SRC ${PK_INTERFACE_XML} daemonproxy)
qt5_add_dbus_interface(packagekitqt_SRC ${PK_TRANSACTION_INTERFACE_XML} transactionproxy)

add_library(packagekitqt5 ${packagekitqt_SRC} ${packagekitqt_HEADERS} ${packagekitqt_HEADERS_PRIVATE})
set_target_properties(packagekitqt5 PROPERTIES VERSION ${QPACKAGEKIT_VERSION} SOVERSION ${QPACKAGEKIT_API_LEVEL})

target_link_libraries(packagekitqt5 PUBLIC Qt5::DBus)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/packagekitqt5.pc.in
  ${CMAKE_CURRENT_BINARY_DIR}/packagekitqt5.pc
  @ONLY
)
target_include_directories(packagekitqt5 INTERFACE "$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}/packagekitqt5/PackageKit/;${CMAKE_INSTALL_INCLUDEDIR}/packagekitqt5>")
install(TARGETS packagekitqt5 EXPORT PackageKitQtTargets DESTINATION ${CMAKE_INSTALL_LIBDIR})
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/packagekitqt5.pc
	DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig
)
install(FILES ${packagekitqt_HEADERS}
        DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/packagekitqt5/PackageKit/
)

add_subdirectory(modules)

=== src/modules/CMakeLists.txt ===
# CMakeLists for PackageKit-Qt lib extra modules

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/packagekit-qt-config.cmake.in
  ${CMAKE_CURRENT_BINARY_DIR}/packagekitqt5-config.cmake
  @ONLY
)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/packagekit-qt-config-version.cmake.in
  ${CMAKE_CURRENT_BINARY_DIR}/packagekitqt5-config-version.cmake
  @ONLY
)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/packagekitqt5-config.cmake
        ${CMAKE_CURRENT_BINARY_DIR}/packagekitqt5-config-version.cmake
        DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/packagekitqt5/
)

=== debian/changelog ===
packagekit-qt (0.9.6-1) unstable; urgency=medium

  * New upstream bugfix release: 0.9.6
  * Use secure Vcs-* URLs
  * Bump standards version: No changes needed

 -- Matthias Klumpp <mak@debian.org>  Tue, 20 Sep 2016 18:56:20 +0200

packagekit-qt (0.9.5-3) unstable; urgency=medium

  * Upload to unstable

 -- Matthias Klumpp <mak@debian.org>  Wed, 30 Sep 2015 19:00:00 +0200

=== debian/control ===
Source: packagekit-qt
Section: libs
Priority: optional
Maintainer: Matthias Klumpp <mak@debian.org>
Build-Depends: cmake (>= 2.8),
               debhelper (>= 9),
               packagekit (>= 1.0),
               pkg-config (>= 0.26),
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.6)
Standards-Version: 3.9.8
Homepage: http://www.packagekit.org
Vcs-Git: https://anonscm.debian.org/git/pkg-packagekit/packagekit-qt.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-packagekit/packagekit-qt.git

Package: libpackagekitqt5-0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: packagekit
Description: Library for accessing PackageKit using Qt5
 PackageKit allows performing simple software management tasks over a DBus
 interface e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package provides a library to access PackageKit using Qt.

Package: libpackagekitqt5-dev
Section: libdevel
Architecture: any
Depends: libpackagekitqt5-0 (= ${binary:Version}),
         qtbase5-dev (>= 5.6),
         ${misc:Depends}
Description: Library for accessing PackageKit using Qt5 (development files)
 PackageKit allows performing simple software management tasks over a DBus
 interface e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package provides the header files for PackageKit-Qt.

=== debian/rules ===
#!/usr/bin/make -f

QPK_CONFIGURE_ARGS =

%:
	dh $@ --parallel --with kf5

override_dh_auto_configure:
	dh_auto_configure -- $(QPK_CONFIGURE_ARGS)

override_dh_install:
	dh_install --list-missing

## packagekit-qt 1.0.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,14 @@
-# CMakeLists for PackageKit-Qt
-project(packagekit-qt)
+cmake_minimum_required(VERSION 3.1)
+cmake_policy(SET CMP0048 NEW)
 
-cmake_minimum_required(VERSION 2.8.6 FATAL_ERROR)
-find_package(PkgConfig REQUIRED)
+if (POLICY CMP0043)
+  cmake_policy(SET CMP0043 NEW)
+endif()
+if (POLICY CMP0063)
+  cmake_policy(SET CMP0063 NEW)
+endif()
+
+project(packagekit-qt VERSION 1.0.1)
 
 # Used to set installation paths
 set(CMAKE_AUTOMOC ON)
@@ -11,21 +17,20 @@
 set(CMAKE_INSTALL_RPATH_USE_LINK_PATH ON)
 include(GNUInstallDirs)
 
-set(QPACKAGEKIT_VERSION_MAJOR  "0")
-set(QPACKAGEKIT_VERSION_MINOR  "9")
-set(QPACKAGEKIT_VERSION_PATCH  "6")
-set(QPACKAGEKIT_VERSION_SUFFIX "${VERSION_SUFFIX}")
-set(QPACKAGEKIT_API_LEVEL "0")
-set(QPACKAGEKIT_VERSION "${QPACKAGEKIT_VERSION_MAJOR}.${QPACKAGEKIT_VERSION_MINOR}.${QPACKAGEKIT_VERSION_PATCH}")
+set(QPACKAGEKIT_API_LEVEL "1")
 
-add_definitions(-DQT_NO_CAST_TO_ASCII
-                -DQT_NO_CAST_FROM_ASCII
-                -DQT_NO_URL_CAST_FROM_STRING
-                -DQT_NO_CAST_FROM_BYTEARRAY
-                -DQT_NO_SIGNALS_SLOTS_KEYWORDS
-                -DQT_USE_FAST_OPERATOR_PLUS
-                -DQT_USE_QSTRINGBUILDER
-               )
+add_definitions(
+    -DQT_NO_KEYWORDS
+    -DQT_NO_CAST_TO_ASCII
+    -DQT_NO_CAST_FROM_ASCII
+    -DQT_STRICT_ITERATORS
+    -DQT_NO_URL_CAST_FROM_STRING
+    -DQT_NO_CAST_FROM_BYTEARRAY
+    -DQT_USE_QSTRINGBUILDER
+    -DQT_NO_SIGNALS_SLOTS_KEYWORDS
+    -DQT_USE_FAST_OPERATOR_PLUS
+    -DQT_DISABLE_DEPRECATED_BEFORE=0x050900
+)
 
 # Forbid in-tree building
 if(${CMAKE_SOURCE_DIR} MATCHES ${CMAKE_BINARY_DIR})
@@ -51,7 +56,6 @@
 set (CMAKECONFIG_INSTALL_DIR "${CMAKE_INSTALL_LIBDIR}/cmake/packagekitqt5/")
 
 add_definitions("-DLOCALSTATEDIR=\"${LOCALSTATEDIR}\"")
-add_definitions("-std=gnu++11")
 
 configure_file(config.h.in ${CMAKE_BINARY_DIR}/config.h)

=== debian/changelog ===
packagekit-qt (1.0.1-1) unstable; urgency=medium

  * New upstream version: 1.0.1
  * Update d/watch
  * Update dh compat level to 11
  * Bump standards version: No changes needed
  * Update Vcs-* URLs for move to Salsa
  * Refresh dependencies
  * Use secure URL in d/copyright
  * Update library package name for ABI break

 -- Matthias Klumpp <mak@debian.org>  Sun, 21 Jan 2018 20:45:34 +0100

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,18 @@
 Section: libs
 Priority: optional
 Maintainer: Matthias Klumpp <mak@debian.org>
-Build-Depends: cmake (>= 2.8),
-               debhelper (>= 9),
-               packagekit (>= 1.0),
+Build-Depends: cmake (>= 3.2),
+               debhelper (>= 11),
+               packagekit (>= 1.1.6),
                pkg-config (>= 0.26),
                pkg-kde-tools (>= 0.15.16),
-               qtbase5-dev (>= 5.6)
-Standards-Version: 3.9.8
+               qtbase5-dev (>= 5.8)
+Standards-Version: 4.1.2
 Homepage: http://www.packagekit.org
-Vcs-Git: https://anonscm.debian.org/git/pkg-packagekit/packagekit-qt.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-packagekit/packagekit-qt.git
+Vcs-Git: https://salsa.debian.org/pkgutopia-team/packagekit-qt.git
+Vcs-Browser: https://salsa.debian.org/pkgutopia-team/packagekit-qt
 
-Package: libpackagekitqt5-0
+Package: libpackagekitqt5-1
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -30,8 +30,8 @@
 Package: libpackagekitqt5-dev
 Section: libdevel
 Architecture: any
-Depends: libpackagekitqt5-0 (= ${binary:Version}),
-         qtbase5-dev (>= 5.6),
+Depends: libpackagekitqt5-1 (= ${binary:Version}),
+         qtbase5-dev (>= 5.8),
          ${misc:Depends}
 Description: Library for accessing PackageKit using Qt5 (development files)
  PackageKit allows performing simple software management tasks over a DBus

=== debian/rules ===
#!/usr/bin/make -f

QPK_CONFIGURE_ARGS =

%:
	dh $@ --parallel --with kf5

override_dh_auto_configure:
	dh_auto_configure -- $(QPK_CONFIGURE_ARGS)

override_dh_missing:
	dh_missing --fail-missing

=== debian/watch ===
version=3

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/<project>-$1\.tar\.gz/ \
  https://github.com/hughsie/PackageKit-Qt/tags .*/v?(\d\S*)\.tar\.gz

## packagekit-qt 1.0.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.1)
+cmake_minimum_required(VERSION 3.2)
 cmake_policy(SET CMP0048 NEW)
 
 if (POLICY CMP0043)
@@ -8,7 +8,7 @@
   cmake_policy(SET CMP0063 NEW)
 endif()
 
-project(packagekit-qt VERSION 1.0.1)
+project(packagekit-qt VERSION 1.0.2)
 
 # Used to set installation paths
 set(CMAKE_AUTOMOC ON)
@@ -56,14 +56,15 @@
 set (CMAKECONFIG_INSTALL_DIR "${CMAKE_INSTALL_LIBDIR}/cmake/packagekitqt5/")
 
 add_definitions("-DLOCALSTATEDIR=\"${LOCALSTATEDIR}\"")
+set (CMAKE_CXX_STANDARD 11)
 
 configure_file(config.h.in ${CMAKE_BINARY_DIR}/config.h)
 
 #
 # Custom C flags
 #
-option (DISABLE_MAINTAINER_CFLAGS "Disable maintainer CFlags" ON)
-if (NOT DISABLE_MAINTAINER_CFLAGS)
+option (MAINTAINER "Enable maintainer CFlags" OFF)
+if (MAINTAINER)
     set (MAINTAINER_CFLAGS "-Werror -Wall -Wcast-align -Wno-uninitialized -Wempty-body -Wformat-security -Winit-self")
     add_definitions(${MAINTAINER_CFLAGS})
 endif ()

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -12,6 +12,8 @@
     details.h
     bitfield.h
     packagekitqt_global.h
+    offline.h
+    Offline
 )
 
 set(packagekitqt_SRC
@@ -21,6 +23,7 @@
     transaction.cpp
     transactionprivate.cpp
     details.cpp
+    offline.cpp
 )
 
 find_path(PK_INTERFACES_DIR org.freedesktop.PackageKit.xml
@@ -41,7 +44,7 @@
 qt5_add_dbus_interface(packagekitqt_SRC ${PK_TRANSACTION_INTERFACE_XML} transactionproxy)
 
 add_library(packagekitqt5 ${packagekitqt_SRC} ${packagekitqt_HEADERS} ${packagekitqt_HEADERS_PRIVATE})
-set_target_properties(packagekitqt5 PROPERTIES VERSION ${QPACKAGEKIT_VERSION} SOVERSION ${QPACKAGEKIT_API_LEVEL})
+set_target_properties(packagekitqt5 PROPERTIES VERSION ${PROJECT_VERSION} SOVERSION ${QPACKAGEKIT_API_LEVEL})
 
 target_link_libraries(packagekitqt5 PUBLIC Qt5::DBus)

=== src/modules/CMakeLists.txt ===
include(CMakePackageConfigHelpers)

configure_package_config_file(
  ${CMAKE_CURRENT_SOURCE_DIR}/packagekit-qt-config.cmake.in
  ${CMAKE_CURRENT_BINARY_DIR}/packagekitqt5-config.cmake
  INSTALL_DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/packagekitqt5/
)

write_basic_package_version_file(${CMAKE_CURRENT_BINARY_DIR}/packagekitqt5-config-version.cmake VERSION ${PROJECT_VERSION} COMPATIBILITY SameMajorVersion)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/packagekitqt5-config.cmake
        ${CMAKE_CURRENT_BINARY_DIR}/packagekitqt5-config-version.cmake
        DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/packagekitqt5/
)

=== debian/changelog ===
packagekit-qt (1.0.2-1) unstable; urgency=medium

  * New upstream version: 1.0.2
  * Bump standards version: No changes needed
  * Use dh compat level 12
  * Mark rules as not requiring root
  * Simplify d/watch

 -- Matthias Klumpp <mak@debian.org>  Thu, 20 Feb 2020 23:40:42 +0100

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,14 @@
 Priority: optional
 Maintainer: Matthias Klumpp <mak@debian.org>
 Build-Depends: cmake (>= 3.2),
-               debhelper (>= 11),
-               packagekit (>= 1.1.6),
+               debhelper-compat (= 12),
+               packagekit (>= 1.1.12),
                pkg-config (>= 0.26),
                pkg-kde-tools (>= 0.15.16),
                qtbase5-dev (>= 5.8)
-Standards-Version: 4.1.2
-Homepage: http://www.packagekit.org
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Homepage: https://www.freedesktop.org/software/PackageKit/
 Vcs-Git: https://salsa.debian.org/pkgutopia-team/packagekit-qt.git
 Vcs-Browser: https://salsa.debian.org/pkgutopia-team/packagekit-qt

=== debian/watch ===
version=3

https://github.com/hughsie/PackageKit-Qt/tags .*/v?(\d\S*)\.tar\.gz

## packagekit-qt 1.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
   cmake_policy(SET CMP0063 NEW)
 endif()
 
-project(packagekit-qt VERSION 1.0.2)
+project(packagekit-qt VERSION 1.0.3)
 
 # Used to set installation paths
 set(CMAKE_AUTOMOC ON)
@@ -18,6 +18,8 @@
 include(GNUInstallDirs)
 
 set(QPACKAGEKIT_API_LEVEL "1")
+
+find_package(QT NAMES Qt6 Qt5 NO_MODULE REQUIRED COMPONENTS Core DBus)
 
 add_definitions(
     -DQT_NO_KEYWORDS
@@ -53,7 +55,7 @@
 set (GETTEXT_PACKAGE "packagekit")
 set (VERSION "${QPACKAGEKIT_VERSION}")
 set (LOCALSTATEDIR "/var")
-set (CMAKECONFIG_INSTALL_DIR "${CMAKE_INSTALL_LIBDIR}/cmake/packagekitqt5/")
+set (CMAKECONFIG_INSTALL_DIR "${CMAKE_INSTALL_LIBDIR}/cmake/packagekitqt${QT_VERSION_MAJOR}/")
 
 add_definitions("-DLOCALSTATEDIR=\"${LOCALSTATEDIR}\"")
 set (CMAKE_CXX_STANDARD 11)

=== src/CMakeLists.txt ===
# CMakeLists for PackageKit-Qt library

find_package(Qt${QT_VERSION_MAJOR} 5.10 REQUIRED COMPONENTS Core DBus)

set(packagekitqt_HEADERS
    Daemon
    Transaction
    common.h
    daemon.h
    transaction.h
    Details
    details.h
    bitfield.h
    packagekitqt_global.h
    offline.h
    Offline
)

set(packagekitqt_SRC
    bitfield.cpp
    daemon.cpp
    daemonprivate.cpp
    transaction.cpp
    transactionprivate.cpp
    details.cpp
    offline.cpp
)

find_path(PK_INTERFACES_DIR org.freedesktop.PackageKit.xml
	HINTS ${CMAKE_INSTALL_PREFIX} /usr
	PATH_SUFFIXES share/dbus-1/interfaces/
)
set(PK_INTERFACE_XML "${PK_INTERFACES_DIR}/org.freedesktop.PackageKit.xml")
set(PK_TRANSACTION_INTERFACE_XML "${PK_INTERFACES_DIR}/org.freedesktop.PackageKit.Transaction.xml")

if (NOT PK_INTERFACE_XML OR NOT PK_TRANSACTION_INTERFACE_XML)
	message (FATAL_ERROR "Unable to find PackageKit DBus specifications! Please install PackageKit to continue!")
endif ()

set_source_files_properties(${PK_INTERFACE_XML} PROPERTIES NO_NAMESPACE true)
set_source_files_properties(${PK_TRANSACTION_INTERFACE_XML} PROPERTIES NO_NAMESPACE true)

if(${QT_VERSION_MAJOR} EQUAL 6)
qt6_add_dbus_interface(packagekitqt_SRC ${PK_INTERFACE_XML} daemonproxy)
qt6_add_dbus_interface(packagekitqt_SRC ${PK_TRANSACTION_INTERFACE_XML} transactionproxy)
else()
qt5_add_dbus_interface(packagekitqt_SRC ${PK_INTERFACE_XML} daemonproxy)
qt5_add_dbus_interface(packagekitqt_SRC ${PK_TRANSACTION_INTERFACE_XML} transactionproxy)
endif()

add_library(packagekitqt${QT_VERSION_MAJOR} ${packagekitqt_SRC} ${packagekitqt_HEADERS} ${packagekitqt_HEADERS_PRIVATE})
set_target_properties(packagekitqt${QT_VERSION_MAJOR} PROPERTIES VERSION ${PROJECT_VERSION} SOVERSION ${QPACKAGEKIT_API_LEVEL})

target_link_libraries(packagekitqt${QT_VERSION_MAJOR} PUBLIC Qt${QT_VERSION_MAJOR}::DBus)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/packagekitqt${QT_VERSION_MAJOR}.pc.in
  ${CMAKE_CURRENT_BINARY_DIR}/packagekitqt${QT_VERSION_MAJOR}.pc
  @ONLY
)
target_include_directories(packagekitqt${QT_VERSION_MAJOR} INTERFACE "$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}/packagekitqt${QT_VERSION_MAJOR}/PackageKit/;${CMAKE_INSTALL_INCLUDEDIR}/packagekitqt${QT_VERSION_MAJOR}>")
install(TARGETS packagekitqt${QT_VERSION_MAJOR} EXPORT PackageKitQtTargets DESTINATION ${CMAKE_INSTALL_LIBDIR})
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/packagekitqt${QT_VERSION_MAJOR}.pc
	DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig
)
install(FILES ${packagekitqt_HEADERS}
        DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/packagekitqt${QT_VERSION_MAJOR}/PackageKit/
)

add_subdirectory(modules)

## packagekit-qt 1.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
   cmake_policy(SET CMP0063 NEW)
 endif()
 
-project(packagekit-qt VERSION 1.0.3)
+project(packagekit-qt VERSION 1.1.1)
 
 # Used to set installation paths
 set(CMAKE_AUTOMOC ON)
@@ -19,7 +19,15 @@
 
 set(QPACKAGEKIT_API_LEVEL "1")
 
-find_package(QT NAMES Qt6 Qt5 NO_MODULE REQUIRED COMPONENTS Core DBus)
+option(BUILD_WITH_QT6 "Use Qt6 instead of Qt5" OFF)
+
+if(BUILD_WITH_QT6)
+  set(QT_VERSION_MAJOR 6)
+else()
+  set(QT_VERSION_MAJOR 5)
+endif()
+
+find_package(Qt${QT_VERSION_MAJOR} 5.10 REQUIRED COMPONENTS Core DBus)
 
 add_definitions(
     -DQT_NO_KEYWORDS
@@ -65,11 +73,32 @@
 #
 # Custom C flags
 #
+add_definitions(
+  "-Wformat"
+  "-Wno-unused-parameter"
+  "-Werror=empty-body"
+  "-Werror=pointer-arith"
+  "-Werror=init-self"
+  "-Werror=missing-declarations"
+  "-Werror=return-type"
+  "-Werror=misleading-indentation"
+  "-Werror=format-security"
+)
 option (MAINTAINER "Enable maintainer CFlags" OFF)
 if (MAINTAINER)
-    set (MAINTAINER_CFLAGS "-Werror -Wall -Wcast-align -Wno-uninitialized -Wempty-body -Wformat-security -Winit-self")
+    set(MAINTAINER_CFLAGS
+      "-Werror"
+      "-Wall"
+      "-Wcast-align"
+      "-Wno-uninitialized"
+      "-Wempty-body"
+      "-Winit-self"
+      "-Wnull-dereference"
+      "-Wfloat-equal"
+      "-Winline"
+    )
     add_definitions(${MAINTAINER_CFLAGS})
-endif ()
+endif()
 
 add_subdirectory(src)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,4 @@
 # CMakeLists for PackageKit-Qt library
-
-find_package(Qt${QT_VERSION_MAJOR} 5.10 REQUIRED COMPONENTS Core DBus)
 
 set(packagekitqt_HEADERS
     Daemon

=== debian/changelog ===
packagekit-qt (1.1.1-1build3) noble; urgency=medium

  * No-change rebuild against libqt5core5t64.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 15 Apr 2024 20:18:11 +0100

packagekit-qt (1.1.1-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:13:16 +0000

packagekit-qt (1.1.1-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:18:47 +0000

packagekit-qt (1.1.1-1) unstable; urgency=medium

  * New upstream bugfix release: 1.1.1
    - Fixes update notifications not being shown because frontends
      may get confused by a new transaction property (Closes: #1027831)
    - Fixes a crash that occurs if a transaction role is not yet
      known or the transaction is not initialized (Closes: #1026062)

 -- Matthias Klumpp <mak@debian.org>  Fri, 10 Mar 2023 18:48:56 +0100

packagekit-qt (1.1.0-1) unstable; urgency=medium

  * New upstream version: 1.1.0
  * Bump standards version & dh compat level
  * Bump packagekit dependency to 1.2.6

 -- Matthias Klumpp <mak@debian.org>  Thu, 01 Dec 2022 21:00:40 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: packagekit-qt
 Section: libs
 Priority: optional
-Maintainer: Matthias Klumpp <mak@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Matthias Klumpp <mak@debian.org>
 Build-Depends: cmake (>= 3.2),
-               debhelper-compat (= 12),
-               packagekit (>= 1.1.12),
+               debhelper-compat (= 13),
+               packagekit (>= 1.2.6),
                pkg-config (>= 0.26),
                pkg-kde-tools (>= 0.15.16),
                qtbase5-dev (>= 5.8)
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://www.freedesktop.org/software/PackageKit/
 Vcs-Git: https://salsa.debian.org/pkgutopia-team/packagekit-qt.git

=== debian/watch ===
version=4

https://github.com/PackageKit/PackageKit-Qt/tags .*/v?(\d\S*)\.tar\.gz

## packagekit-qt 1.1.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.2)
+cmake_minimum_required(VERSION 3.6)
 cmake_policy(SET CMP0048 NEW)
 
 if (POLICY CMP0043)
@@ -8,7 +8,7 @@
   cmake_policy(SET CMP0063 NEW)
 endif()
 
-project(packagekit-qt VERSION 1.1.1)
+project(packagekit-qt VERSION 1.1.2)
 
 # Used to set installation paths
 set(CMAKE_AUTOMOC ON)
@@ -66,7 +66,7 @@
 set (CMAKECONFIG_INSTALL_DIR "${CMAKE_INSTALL_LIBDIR}/cmake/packagekitqt${QT_VERSION_MAJOR}/")
 
 add_definitions("-DLOCALSTATEDIR=\"${LOCALSTATEDIR}\"")
-set (CMAKE_CXX_STANDARD 11)
+set (CMAKE_CXX_STANDARD 17)
 
 configure_file(config.h.in ${CMAKE_BINARY_DIR}/config.h)

=== debian/changelog ===
packagekit-qt (1.1.2-1) unstable; urgency=medium

  * New upstream version: 1.1.2

 -- Matthias Klumpp <mak@debian.org>  Sun, 16 Jun 2024 17:48:26 +0200

packagekit-qt (1.1.1-3) unstable; urgency=medium

  * Rebuild against the latest version of Qt6 that drop the t64 suffix
    for most of its libraries.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 07 Jun 2024 22:06:42 +0200

packagekit-qt (1.1.1-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Bump minimum required Qt5 version to 5.10 as declared by the
    upstream build system.
  * Tighten selection of files installed into the shared library package to
    only match the current soname version.
  * Build with hardening=+all build hardening flag.
  * Replace transitional pkg-config build dependency with pkgconf.
  * Drop explicit --fail-missing option for dh_missing, it has been the
    default since dh 13 compat level.
  * Bump Standards-Version to 4.7.0, no change required.
  * Also build the qt6 version of the library.
  * Add symbols files for shared libraries.

  [ Matthias Klumpp ]
  * Update default Git branch to debian/latest
  * Add Aurélien COUDERC as co-maintainer

 -- Matthias Klumpp <mak@debian.org>  Sat, 25 May 2024 21:44:22 +0200

=== debian/control ===
Source: packagekit-qt
Section: libs
Priority: optional
Maintainer: Matthias Klumpp <mak@debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>
Build-Depends: cmake (>= 3.2),
               debhelper-compat (= 13),
               packagekit (>= 1.2.6),
               pkgconf,
               pkg-kde-tools (>= 0.17.0~),
               qt6-base-dev,
               qtbase5-dev (>= 5.10~)
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://www.freedesktop.org/software/PackageKit/
Vcs-Git: https://salsa.debian.org/pkgutopia-team/packagekit-qt.git
Vcs-Browser: https://salsa.debian.org/pkgutopia-team/packagekit-qt

Package: libpackagekitqt5-1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: packagekit
Description: Library for accessing PackageKit using Qt5
 PackageKit allows performing simple software management tasks over a DBus
 interface e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package provides a library to access PackageKit using Qt5.

Package: libpackagekitqt5-dev
Section: libdevel
Architecture: any
Depends: libpackagekitqt5-1 (= ${binary:Version}),
         qtbase5-dev (>= 5.10),
         ${misc:Depends}
Description: Library for accessing PackageKit using Qt5 (development files)
 PackageKit allows performing simple software management tasks over a DBus
 interface e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package provides the header files for PackageKit-Qt for Qt5.

Package: libpackagekitqt6-1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: packagekit
Description: Library for accessing PackageKit using Qt6
 PackageKit allows performing simple software management tasks over a DBus
 interface e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package provides a library to access PackageKit using Qt6.

Package: libpackagekitqt6-dev
Section: libdevel
Architecture: any
Depends: libpackagekitqt6-1 (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends}
Description: Library for accessing PackageKit using Qt6 (development files)
 PackageKit allows performing simple software management tasks over a DBus
 interface e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package provides the header files for PackageKit-Qt for Qt6.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

QPK_CONFIGURE_ARGS =

%:
	dh $@ --with kf5,pkgkde_symbolshelper

override_dh_auto_configure:
	dh_auto_configure --buildsystem=kf5 -- $(QPK_CONFIGURE_ARGS)
	dh_auto_configure --buildsystem=kf6 --builddirectory=build-qt6 -- $(QPK_CONFIGURE_ARGS) -DBUILD_WITH_QT6=ON

override_dh_auto_build:
	dh_auto_build --buildsystem=kf5
	dh_auto_build --buildsystem=kf6 --builddirectory=build-qt6

override_dh_auto_test:
	dh_auto_test --buildsystem=kf5
	dh_auto_test --buildsystem=kf6 --builddirectory=build-qt6

override_dh_auto_install:
	dh_auto_install --buildsystem=kf5
	dh_auto_install --buildsystem=kf6 --builddirectory=build-qt6
